with GNATCOM.Dispinterface;

package MSHTML.IHTMLOListElement_Object is

   type IHTMLOListElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_compact
     (This : IHTMLOListElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_compact
     (This : IHTMLOListElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_start
     (This : IHTMLOListElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_start
     (This : IHTMLOListElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_type
     (This : IHTMLOListElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_type
     (This : IHTMLOListElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLOListElement_Object;

